sui_getProtocolConfig
POST
Return the protocol config table for the given version number. If the version number is not specified, If none is specified, the node uses the version of the latest epoch it has processed.
param[0]
versionstringrequired
An optional protocol version specifier. If omitted, the latest protocol config table for the node will be returned.Responses
jsonrpcstring
idinteger
attributesobjectrequired
featureFlagsobjectrequired
maxSupportedProtocolVersionstringrequired
minSupportedProtocolVersionstringrequired
protocolVersionstringrequired
codestringrequired
Code identifying the cause of the failed request.messagestringrequired
Detailed message including the name and value of the invalid parameter.{"code": "ERROR_CODE","message": "Bad Request"}
cURL
curl -X POST 'https://sui-mainnet.nodit.io' \-H 'Content-Type: application/json' \-H 'X-API-KEY: nodit-demo' \-d '{"jsonrpc": "2.0","id": 1,"method": "sui_getProtocolConfig","params": [6]}'